package com.ynet.life.formValidation;

import com.ynet.gene.core.Context;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import java.lang.reflect.Method;
import javax.servlet.http.HttpServletRequest;

/* loaded from: com_ynet_life_formValidation.jar:com/ynet/life/formValidation/FormValidationExtendCheck.class */
public class FormValidationExtendCheck {
    public static boolean doCheck(String mvcName, Context sessionContext, String verifyRuleScope, HttpServletRequest request) throws TranFailException {
        boolean returnValue = true;
        try {
            IndexedCollection verifyIColl = sessionContext.getDataElement("Session_iVerifyRuleIColl");
            for (int i = 0; i < verifyIColl.size(); i++) {
                KeyedCollection verifyKColl = (KeyedCollection) verifyIColl.get(i);
                String verifyRuleId = (String) verifyKColl.getDataValue("verifyRuleId");
                verifyKColl.getDataValue("verifyRuleName");
                String str = (String) verifyKColl.getDataValue("verifyRuleType");
                String verifySubType = (String) verifyKColl.getDataValue("verifySubType");
                String verifyFileName = (String) verifyKColl.getDataValue("verifyFileName");
                String verifyContent = (String) verifyKColl.getDataValue("verifyContent");
                verifyKColl.getDataValue("verifyDesc");
                String verifyErrCode = (String) verifyKColl.getDataValue("verifyErrCode");
                String verifyErrMsg = (String) verifyKColl.getDataValue("verifyErrMsg");
                String verifyScope = (String) verifyKColl.getDataValue("verifyScope");
                String BsnCode = (String) verifyKColl.getDataValue("BsnCode");
                verifyKColl.getDataValue("language");
                String verifyState = (String) verifyKColl.getDataValue("verifyState");
                String verifyType = (String) verifyKColl.getDataValue("verifyType");
                if (mvcName.equals(BsnCode) && "02".equals(verifySubType) && "00".equals(verifyState) && (verifyScope.equals(verifyRuleScope) || verifyScope.equals("EBALL"))) {
                    Class[] paramsInputOne = {String.class, String.class, String.class};
                    Class[] paramsInputTwo = {String.class, String.class, String.class, String.class, String.class};
                    try {
                        try {
                            Object bean = Class.forName(verifyFileName).newInstance();
                            if ("01".equals(str)) {
                                Method verifyInputMethod = bean.getClass().getMethod("validateStringValue", paramsInputTwo);
                                if (verifyInputMethod != null) {
                                    returnValue = ((Boolean) verifyInputMethod.invoke(bean, request.getParameter(verifyRuleId), verifyContent, verifyType, verifyErrCode, verifyErrMsg)).booleanValue();
                                }
                            } else {
                                Method verifyInputMethod2 = bean.getClass().getMethod(verifyContent, paramsInputOne);
                                if (verifyInputMethod2 != null) {
                                    returnValue = ((Boolean) verifyInputMethod2.invoke(bean, request.getParameter(verifyRuleId), verifyErrCode, verifyErrMsg)).booleanValue();
                                }
                            }
                        } catch (Exception e) {
                            Trace.logError("LifeAction", "Exception while instance className=".concat(String.valueOf(verifyFileName)), e);
                            throw new TranFailException("EBLN0000", "Exception while instance className=".concat(String.valueOf(verifyFileName)));
                        }
                    } catch (Exception e2) {
                        Trace.logError("LifeAction", "Exception while invoke methodName=" + verifyFileName + FormValidationConstants.FIELD_VAR_FIX + verifyContent, e2);
                        throw new TranFailException("EBLN0000", "Exception while invoke methodName=" + verifyFileName + FormValidationConstants.FIELD_VAR_FIX + verifyContent);
                    }
                }
            }
            return returnValue;
        } catch (Exception e3) {
            Trace.logError("LifeAction", "自定义校验规则执行失败", e3);
            throw new TranFailException("EBLN0000", "自定义校验规则执行失败");
        }
    }
}
